# @aiao/lazy-module

[![npm][shields-lazy-module]][npm-lazy-module]

按需加载 `angular module`

## 场景

不用等到路由触发后才加载相应模块，可以由代码控制主动预加载，提高用户体验

## 安装

```console
yarn add @aiao/lazy-module
```

## 版本

| lazy-module | angular  |
| ----------- | -------- |
| 2.x         | 16.x     |
| 1.x         | 9 - 15.x |

## 使用

参考 [dev-lazy-module](../../apps/dev-lazy-module)

```ts
export class AppComponent {
  constructor(private lazyModuleLoader: LazyModuleLoader) {}
  async preload() {
    await this.lazyModuleLoader.load('testModule');
    console.log('preload');
  }
}
```

[shields-lazy-module]: https://img.shields.io/npm/v/@aiao/lazy-module?style=flat-square
[npm-lazy-module]: https://www.npmjs.com/@aiao/lazy-module
